Description

Hi there,

I've been doing a quick analysis for the question listed above, I was hoping someone could sense-check my approach and my use of

weights. I am using R. Please do let me if this forum is not the appropriate place for this discussion.

1. Create subset of self-employed in w9 (jbstat==1)

2. Create subsets of those who have tried to apply for UC in Covid waves (ucredit / ucreditb65>1, ucredit2 / ucredit2b65 !=-8)

3. w9 leftjoin with above subsets of ca_indres, cb_indres, cd_indres

4. Create new yes/no variable for "applied for UC in any wave"

5. weight using i_psu, i_strata, and using i_indinui_xw

6. My result is 6.4% of SE in the UK have applied for UC since the pandemic started

Is my use of the w9 cross sectional weight is sub-optimal? Would the best thing to do be to create a new weighting variable? Or a

different approach which appended jbstat to each covid wave and work from there?

Thanks,

Taha

History

#1 - 10/26/2020 09:33 AM - Alita Nandi

- Status changed from New to Feedback

- Assignee changed from Alita Nandi to Taha Abrar

- % Done changed from 0 to 50

- Private changed from Yes to No

Hello Taha,

Our remit is to respond to queries about the data. If you would like to know about the R syntax for merging and appending datafiles, please take a

look at the Online Moodle course here: https://www.understandingsociety.ac.uk/help/training/online/introduction-course

The steps you have mentioned are generally correct, but with some adjustments:

1. Merge i_indresp with ca_indresp_w, cb_indresp_w, cc_indresp_w, cd_indresp_w in wide format.

2. Then only keep those cases who were self-employed in Wave  9 (i_jbstat = 1).

3. As you want to know who applied for UC in any wave post pandemic, then create a 0-1 variable which is 1 if cW_ucredit =  3, 4, 5 or 6. But note

this question was not asked of those who had received Ucredit before the pandemic, i.e., before March 2020. So, you will need to decide whether you

want to exclude those who were self-employed in W9 but had already started receiving UC before April 2020.

4. You should use i_psu & i_strata to produce the correct standard errors of your estimates

5. You should use weights to produce the unbiased population estimates. The weight i_indinui_xw... accounts for unequal selection probabilities and

non-response in W9, but will ignore non-response between W9 and any of the Covid19 survey waves. So, this is not appropriate for your analysis.

The weights bW_betaindin_xw = i_indinui_xw * non-response adjustment between W9 and Covid19 wave W. So, these weights account for unequal

selection probabilities and non-response in W9 and non-response between W9 and Covid19 wave W. But your analysis sample includes those who

responded in W9 and at least one of the Covid19 Waves. So, the appropriate weight for your analysis should be i_indinui_xw * non-response

adjustment between W9 and responding in at least one of the Covid19 waves.

Best wishes,

Understanding Society User Support

#2 - 10/26/2020 09:54 AM - Taha Abrar

super helpful, thanks team!

#3 - 10/27/2020 03:23 PM - Taha Abrar

Hello again team,
Just following up on the non-response adjustment.

As I understood from your answer, I would need to create a non-response adjustment between w9 and at least one Covid wave.

Is this something that can be derived? I have tried "bW_betaindin_xw / i_indinui_xw  =  non-response adjustment" but I am unsure of the next step in

terms of assigning the non-response to a pidp appropriately. It doesn't seem to be assigned by the i_psu or i_strata.

Grateful for any further suggestion. I looked into the user guide but didn't find any guidance beyond an overview of the variables that feature in the

non-response adjustment modelling.

#4 - 11/23/2020 08:06 AM - Alita Nandi

- % Done changed from 50 to 90

Sorry for the delay in getting back to you. You will need to create the weight yourself by estimating the probability of responding to at least one of the

Covid19 waves amonng those who responded to Wave 9 and were eligible for the Covid19 survey. The inverse of this =  non-response adjustment

between W9 and responding in at least one of the Covid19 waves.

#5 - 10/13/2021 10:52 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Taha Abrar)
#6 - 08/22/2023 01:30 PM - Understanding Society  User Support Team

- Category changed from Data analysis to Data management
